﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ShapeFileConverter
{
    public partial class DBaseForm : Form
    {
        public delegate void deUpdateForm(String sComponent, String sActionText);
        public deUpdateForm fnUpdateForm;

        public String sColumnName;

        public DBaseForm()
        {
            InitializeComponent();
        }

        private void DBaseForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = true;
            ((Control)sender).Hide();
        }

        private void DBaseForm_Activated(object sender, EventArgs e)
        {
            GrowerInformationTextBox.Text = sColumnName;
        }

        private void GrowerInformationOKButton_Click(object sender, EventArgs e)
        {
            sColumnName = GrowerInformationTextBox.Text;
            this.Hide();
            fnUpdateForm("Grower Information", sColumnName);
        }
    }
}
